(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    291537,       5529]
NotebookOptionsPosition[    287740,       5461]
NotebookOutlinePosition[    288096,       5477]
CellTagsIndexPosition[    288053,       5474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t\:672c\:6587\:6863\:4f7f\:7528\:5168\:5c40\:6807\:8bc6\:7b26 \
j c s \:4f5c\:4e3a\:7403\:8c10\:7cfb\:6570\:ff1b\n\t{xp, yp, zp} = \
\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)' \:4ee3\:8868\:4e09\:89d2\
\:9762\:4e0a\:7684\:9876\:70b9\:5750\:6807\:6216\:7f51\:683c\:4f53\:7684\:88ab\
\:79ef\:5750\:6807\:ff1b\n\t{x, y, z} = \!\(\*OverscriptBox[\(r\), \(\
\[RightVector]\)]\) \:4ee3\:8868\:573a\:70b9\:5750\:6807\:ff1b\n\t\
{{x1,y1,z1}, {x2,y2,z2}, {x3,y3,z3}} = \
{\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(1\)]\), \
\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(2\)]\), \
\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(3\)]\)} = T \
\:4ee3\:8868\:4e09\:89d2\:7f51\:683c\:7684\:4e09\:89d2\:9762\:3002\
\[IndentingNewLine]\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{
     "j", ",", "c", ",", "s", ",", "xp", ",", "yp", ",", "zp", ",", "x", ",", 
      "y", ",", "z", ",", "x1", ",", "x2", ",", "x3", ",", "y1", ",", "y2", 
      ",", "y3", ",", "z1", ",", "z2", ",", "z3"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicCoefficients", "[", "n_", "]"}], ":=", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"j", "[", "n", "]"}], "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"c", "[", 
          RowBox[{"n", ",", "#"}], "]"}], "&"}], "/@", 
        RowBox[{"Range", "[", "n", "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", 
          RowBox[{"n", ",", "#"}], "]"}], "&"}], "/@", 
        RowBox[{"Range", "[", "n", "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
   "(*", "\"\<\n\t\:8fd4\:56de n \:9636\:7403\:8c10\:52bf\:5404\:7cfb\:6570\
\:7684\:8ba1\:7b97\:5f0f\:4e2d\:7684\:88ab\:79ef\:51fd\:6570\:3002\n\t\:8fd4\
\:56de\:503c\:4e3a\:4e00\:4e2a\:4f7f\:7528 \!\(\*OverscriptBox[\(r\), \(\
\[RightVector]\)]\)' = {xp, yp, zp} \:8868\:8fbe\:7684\:957f\:4e3a 2n+1 \
\:7684\:5217\:8868\:ff0c\:6ee1\:8db3\:ff1a\n\t{ \!\(\*SubscriptBox[\(J\), \(n\
\)]\), \!\(\*SubscriptBox[\(C\), \(n1\)]\), \!\(\*SubscriptBox[\(C\), \(n2\)]\
\), ..., \!\(\*SubscriptBox[\(C\), \(nn\)]\), \!\(\*SubscriptBox[\(S\), \
\(n1\)]\), \!\(\*SubscriptBox[\(S\), \(n2\)]\), ..., \
\!\(\*SubscriptBox[\(S\), \(nn\)]\) } = \!\(\*FractionBox[\(1\), \(M\\\ \
\*SuperscriptBox[\(R\), \(n\)]\)]\)\[Integral] \
HarmonicIntegrands[\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)'] \
\[DifferentialD]V\n\t\:5176\:4e2d M \
\:4e3a\:7f51\:683c\:4f53\:8d28\:91cf\:ff1bR \:4e3a\:7f51\:683c\:4f53\:53c2\
\:8003\:534a\:5f84\:3002\n\>\"", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicIntegrands", "[", "n_", "]"}], ":=", 
     RowBox[{
      RowBox[{"HarmonicIntegrands", "[", "n", "]"}], "=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"coefs", ",", "rp", ",", "lambdap", ",", "phip"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"coefs", "=", 
          RowBox[{"Block", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"j", ",", "c", ",", "s"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"j", "[", "n", "]"}], "=", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"rp", "^", "n"}]}], " ", 
               RowBox[{"LegendreP", "[", 
                RowBox[{"n", ",", 
                 RowBox[{"Sin", "[", "phip", "]"}]}], "]"}]}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"Table", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"c", "[", 
                  RowBox[{"n", ",", "m"}], "]"}], "=", 
                 RowBox[{"2", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "m"}], ")"}], "!"}], "/", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "+", "m"}], ")"}], "!"}]}], 
                  RowBox[{"rp", "^", "n"}], " ", 
                  RowBox[{"LegendreP", "[", 
                   RowBox[{"n", ",", "m", ",", 
                    RowBox[{"Sin", "[", "phip", "]"}]}], "]"}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "m"}], " ", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"m", " ", "lambdap"}], "]"}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"s", "[", 
                  RowBox[{"n", ",", "m"}], "]"}], "=", 
                 RowBox[{"2", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "m"}], ")"}], "!"}], "/", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "+", "m"}], ")"}], "!"}]}], 
                  RowBox[{"rp", "^", "n"}], " ", 
                  RowBox[{"LegendreP", "[", 
                   RowBox[{"n", ",", "m", ",", 
                    RowBox[{"Sin", "[", "phip", "]"}]}], "]"}], 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "m"}], " ", 
                  RowBox[{"Sin", "[", 
                   RowBox[{"m", " ", "lambdap"}], "]"}]}]}], ";"}], 
               "\[IndentingNewLine]", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"HarmonicCoefficients", "[", "n", "]"}]}]}], 
           "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"coefs", "=", 
          RowBox[{"Simplify", "[", 
           RowBox[{
            RowBox[{"TrigExpand", "[", 
             RowBox[{"coefs", "/.", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"rp", "\[Rule]", 
                 RowBox[{"Sqrt", "[", 
                  RowBox[{
                   RowBox[{"xp", "^", "2"}], "+", 
                   RowBox[{"yp", "^", "2"}], "+", 
                   RowBox[{"zp", "^", "2"}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"lambdap", "\[Rule]", 
                 RowBox[{"ArcTan", "[", 
                  RowBox[{"xp", ",", "yp"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"phip", "\[Rule]", 
                 RowBox[{"ArcTan", "[", 
                  RowBox[{
                   RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{"xp", "^", "2"}], "+", 
                    RowBox[{"yp", "^", "2"}]}], "]"}], ",", "zp"}], "]"}]}]}],
                "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"xp", "^", "2"}], ">", "0"}], ",", 
              RowBox[{
               RowBox[{"yp", "^", "2"}], ">", "0"}], ",", 
              RowBox[{
               RowBox[{"zp", "^", "2"}], ">", "0"}]}], "}"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Simplify", "@", 
          RowBox[{"Together", "@", 
           RowBox[{"Expand", "@", "coefs"}]}]}]}]}], "\[IndentingNewLine]", 
       "]"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.945520334330158*^9, 3.9455203433081093`*^9}, {
  3.9455203954201145`*^9, 3.9455205075421715`*^9}, {3.945520545779353*^9, 
  3.9455205628529987`*^9}, {3.9455205993990135`*^9, 3.945520629864013*^9}, {
  3.945520664059419*^9, 3.9455208034541817`*^9}, {3.9455208736937785`*^9, 
  3.945520931206831*^9}, {3.9455214523903027`*^9, 3.9455214595974617`*^9}, {
  3.9455215011644278`*^9, 3.945521554268617*^9}, {3.9455215974848976`*^9, 
  3.945521653790327*^9}, {3.945521688275757*^9, 3.945521730130589*^9}, {
  3.945521823074517*^9, 3.945521884627286*^9}, {3.9455219477262354`*^9, 
  3.945522032946475*^9}, {3.945523635725586*^9, 3.9455236883973885`*^9}, {
  3.9455262922537413`*^9, 3.9455262997435284`*^9}, {3.9455299589493895`*^9, 
  3.9455299648569384`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"52769268-ee29-4c41-b065-758f6cc410c6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t\:4e8c\:9636\:7403\:8c10\:7cfb\:6570\:53ca\:5176\:8ba1\:7b97\
\:5f0f\:4e2d\:88ab\:79ef\:51fd\:6570\n\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"HarmonicCoefficients", "[", "2", "]"}], "\[IndentingNewLine]", 
   RowBox[{"HarmonicIntegrands", "[", "2", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9455206856527443`*^9, 3.9455206858714924`*^9}, {
   3.9455208103032465`*^9, 3.9455208104282465`*^9}, {3.945521338785342*^9, 
   3.9455213781462564`*^9}, 3.9455217244018908`*^9, 3.945526305950447*^9, 
   3.9455299870661325`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"9bb28b9b-a271-4b03-80c0-1adbfa9a021e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"j", "[", "2", "]"}], ",", 
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"c", "[", 
    RowBox[{"2", ",", "2"}], "]"}], ",", 
   RowBox[{"s", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"s", "[", 
    RowBox[{"2", ",", "2"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.9455206863089933`*^9, {3.945520806018035*^9, 3.9455208108188705`*^9}, 
   3.945520943245969*^9, 3.9455213785681314`*^9, {3.9455217246004286`*^9, 
   3.945521771929842*^9}, {3.945521826417412*^9, 3.9455218304100494`*^9}, 
   3.9455218872629747`*^9, 3.945521926419764*^9, {3.9455220085752516`*^9, 
   3.945522036119483*^9}, 3.9455230678693094`*^9, 3.9455234817262373`*^9, {
   3.945523677265359*^9, 3.9455236950221043`*^9}, 3.9455263070155907`*^9, 
   3.9455266314557314`*^9, 3.9455299887001176`*^9, 3.945530054064808*^9, 
   3.9455302188956575`*^9, 3.94553048718839*^9, 3.945531203243061*^9, 
   3.945553355273839*^9, 3.945556046220409*^9, 3.9455581265139017`*^9, 
   3.9455585105802736`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"27da59fa-474e-4a99-89fe-15f2d8cd8083"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["xp", "2"], "+", 
      SuperscriptBox["yp", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["zp", "2"]}]}], ")"}]}], ",", 
   RowBox[{"xp", " ", "zp"}], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["xp", "2"], "-", 
      SuperscriptBox["yp", "2"]}], ")"}]}], ",", 
   RowBox[{"yp", " ", "zp"}], ",", 
   FractionBox[
    RowBox[{"xp", " ", "yp"}], "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.9455206863089933`*^9, {3.945520806018035*^9, 3.9455208108188705`*^9}, 
   3.945520943245969*^9, 3.9455213785681314`*^9, {3.9455217246004286`*^9, 
   3.945521771929842*^9}, {3.945521826417412*^9, 3.9455218304100494`*^9}, 
   3.9455218872629747`*^9, 3.945521926419764*^9, {3.9455220085752516`*^9, 
   3.945522036119483*^9}, 3.9455230678693094`*^9, 3.9455234817262373`*^9, {
   3.945523677265359*^9, 3.9455236950221043`*^9}, 3.9455263070155907`*^9, 
   3.9455266314557314`*^9, 3.9455299887001176`*^9, 3.945530054064808*^9, 
   3.9455302188956575`*^9, 3.94553048718839*^9, 3.945531203243061*^9, 
   3.945553355273839*^9, 3.945556046220409*^9, 3.9455581265139017`*^9, 
   3.9455585105802736`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"744cfe5d-0842-49e5-a98a-22f83ba7b67d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t\:82e5 fun \:662f\:5173\:4e8e {xp, yp, zp} = \
\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)' \:7684\:51fd\:6570\:ff0c\n\t\
MakeIntegrator \:8fd4\:56de\:5173\:4e8e\:4e09\:89d2\:9762 T = \
{\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(1\)]\), \
\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(2\)]\), \
\!\(\*SubscriptBox[OverscriptBox[\(p\), \(\[RightVector]\)], \(3\)]\)} = \
{{x1,y1,z1}, {x2,y2,z2}, {x3,y3,z3}} \:7684\:51fd\:6570 ifun\:ff0c\n\t\:4f7f\
\:5f97\:5728\:4e09\:89d2\:9762\:4e0a\:7684\:6c42\:548c \[Sum] ifun[T] \:7b49\
\:4e8e\:4e09\:89d2\:7f51\:683c\:7684\:4f53\:79ef\:5206 \
\[Integral]fun[\!\(\*OverscriptBox[\(r\), \(\[RightVector]\)]\)']\
\[DifferentialD]V \n\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"MakeIntegrator", "[", "fun_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"trig", ",", "norm", ",", "ifun", ",", "u", ",", "v"}], "}"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"trig", "=", 
         RowBox[{"Triangle", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x3", ",", "y3", ",", "z3"}], "}"}]}], "}"}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"norm", "=", 
         RowBox[{"Cross", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"trig", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
            RowBox[{"trig", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"trig", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "3"}], "]"}], "]"}], "-", 
            RowBox[{"trig", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Integrate", "[", 
            RowBox[{"fun", ",", "xp"}], "]"}], ",", 
           RowBox[{"Integrate", "[", 
            RowBox[{"fun", ",", "yp"}], "]"}], ",", 
           RowBox[{"Integrate", "[", 
            RowBox[{"fun", ",", "zp"}], "]"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"ifun", "/.", 
          RowBox[{"Thread", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xp", ",", "yp", ",", "zp"}], "}"}], "->", 
            RowBox[{
             RowBox[{"trig", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
             RowBox[{"u", 
              RowBox[{"(", " ", 
               RowBox[{
                RowBox[{"trig", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
                RowBox[{"trig", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ")"}]}], "+", 
             RowBox[{"v", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"trig", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "3"}], "]"}], "]"}], "-", 
                RowBox[{"trig", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ")"}]}]}]}], 
           "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"Integrate", "[", 
          RowBox[{"ifun", ",", "v"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ifun", "/.", 
            RowBox[{"v", "\[Rule]", "u"}]}], ")"}], "-", 
          RowBox[{"(", 
           RowBox[{"ifun", "/.", 
            RowBox[{"v", "\[Rule]", "0"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{"Integrate", "[", 
          RowBox[{"ifun", ",", "u"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"ifun", "/.", 
            RowBox[{"u", "\[Rule]", "1"}]}], ")"}], "-", 
          RowBox[{"(", 
           RowBox[{"ifun", "/.", 
            RowBox[{"u", "\[Rule]", "0"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"ifun", "=", 
         RowBox[{
          RowBox[{"SortBy", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Simplify", "[", 
               RowBox[{
                RowBox[{"ifun", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], 
                RowBox[{"norm", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "3"}], "}"}]}], "]"}], ",", "ByteCount"}], 
           "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "\"\<\n\t\:5c06 MakeIntegrator \:8fd4\:56de\:7684\:51fd\:6570\:7f16\
\:8bd1\:4e3a\:9ad8\:6548\:8ba1\:7b97\:7684\:5f62\:5f0f\:ff1b\n\t\:7ed3\:679c\
\:4e3a\:4e00\:4e2a\:63a5\:53d7\:4e09\:89d2\:7f51\:683c\:8f93\:5165\:7684\:51fd\
\:6570 cifun\:ff1a\n\tcifun[ mesh = { \!\(\*SubscriptBox[\(T\), \
\(1\)]\)={{x1,y1,z1}, {x2,y2,z2}, {x3,y3,z3}}, \!\(\*SubscriptBox[\(T\), \
\(2\)]\), ... } ]\n\>\"", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"CompileIntegrator", "[", "ifun_", "]"}], ":=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{
      "\"\<Compile[{{x,_Real,3}},\[IndentingNewLine]Module[{x1,y1,z1,x2,y2,z2,\
x3,y3,z3},\[IndentingNewLine]Plus@@(({{x1,y1,z1},{x2,y2,z2},{x3,y3,z3}}=#;\
\[IndentingNewLine]\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ifun", ",", "InputForm"}], "]"}], "<>", 
       "\"\<)&/@x)\[IndentingNewLine]]\[IndentingNewLine]]\>\""}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicIntegrators", "[", "n_", "]"}], ":=", 
     RowBox[{
      RowBox[{"HarmonicIntegrators", "[", "n", "]"}], "=", 
      RowBox[{"CompileIntegrator", "[", 
       RowBox[{"MakeIntegrator", "@", 
        RowBox[{"HarmonicIntegrands", "[", "n", "]"}]}], "]"}]}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.945519779390518*^9, 3.9455198167134857`*^9}, {
  3.9455208193087*^9, 3.9455208687051744`*^9}, {3.945520960411742*^9, 
  3.9455213240884*^9}, {3.9455301494676275`*^9, 3.9455301497157135`*^9}, {
  3.9455301917972984`*^9, 3.9455302077959356`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"95eb66da-6524-44e0-8273-f381b662a1a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t\:7f16\:8bd1\:7f51\:683c\:4f53\:7684\:4f53\:79ef\:3001\:8d28\
\:5fc3\:3001\:4e8c\:9636\:7403\:8c10\:53c2\:6570\:7684\:79ef\:5206\:5668\n\
\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"HarmonicIntegrators", "[", "2", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"IntVolumn", ",", "IntXYZ"}], "}"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"CompileIntegrator", "[", 
        RowBox[{"MakeIntegrator", "@", "#"}], "]"}], "&"}], "/@", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"1", ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"xp", ",", "yp", ",", "zp"}], "}"}]}], "\[IndentingNewLine]",
        "}"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9455199698636827`*^9, 3.9455199824815073`*^9}, 
   3.9455218954914904`*^9, {3.945522136006955*^9, 3.9455221841178913`*^9}, {
   3.945522397149453*^9, 3.9455224012573853`*^9}, {3.945522535147745*^9, 
   3.9455225951152306`*^9}, 3.945526311502639*^9, {3.945530005915489*^9, 
   3.945530013583808*^9}, {3.9455301584471197`*^9, 3.945530207228984*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d3e2daa8-5d73-4774-9bb5-245ade6aa598"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\< \:52a0\:8f7d\:4e00\:4e2a\:793a\:4f8b\:6a21\:578b\:ff1a\:6728\
\:536b\:5341\:516d Metis \>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"mesh", "=", 
    RowBox[{"Import", "[", 
     RowBox[{"\"\<metis_1k.ply\>\"", ",", "\"\<BoundaryMeshRegion\>\""}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.9455223243934035`*^9, 3.945522379720625*^9}, {
  3.9455225026995287`*^9, 3.9455225028832345`*^9}, {3.945522696052826*^9, 
  3.9455227279580917`*^9}, {3.945523501806876*^9, 3.945523535461442*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"827a2d95-7adf-4c68-bb42-9e3bb7a1548c"],

Cell[BoxData[
 Graphics3DBox[
  TagBox[
   DynamicModuleBox[{Typeset`mesh = HoldComplete[
     BoundaryMeshRegion[CompressedData["
1:eJxdWXt4j0cWHiJBXYK6RugIQkKCaCIiZFqPbZW6dmkT6uti2eqWqGLFMlJ1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      "], {
       Polygon[CompressedData["
1:eJxNmH9cz9cex89BrVq1atWqVSvSqlWrpFWrVq1atWqVpFLph1JdDBcXFxcX
FxfXj80wXFxcXFxcXFxcPzYXF5eNXXbZZZdddtn1Y9fFNZv34zzvY+ePbc+n
z3m93v94ff9YaNPb5YM7KaVOPflX5yf/1U/+Ef8/d8GFHXBhR1z4KVyTE3ci
5wx3xp343hl2sd4/jTuRE3cl5wY74658d4bdrffP4K7kxD3IecJuuAff3WAv
6/2zuAc5cW9yPrAn7s13T9jXev8c7k1O3I+cP+yD+/HdBw6w3j+P+5ETDyQX
BPvjgXz3h4Ot9y/ggeTEQ8iFwkF4CN+D4K7W+254CDnxMHLd4VA8jO+hcLj1
/kU8jJx4BLlIuDsewffucJT1/iU8gpx4NLkYOBKP5nskHGu9fxmPJiceR64L
HIPH8T0GjrfeO+Bx5MQTlPn73gN2xBP47ggnWu974sJJuPAreAJ94snK7CAF
dsGTueMC98CTyfWAU62eV/Fk+sTTlNlHOuyOp3HHHU7B08ilwBlWz2t4Gn3i
mcrsJgv2wjO54wWn45nk0uFsq+d1PJM+8Rxl9pQL++I53PGFs/AccllwntXz
Bp5Dn3i+MjsrgAPwfO4EwLl4PrlcuNDqeRPPp0+8SJn9FcPBeBF3guECvIhc
AVxi9byFF9EnXqrMLsvgrngpd7rCxXgpuWK43OrphZfSJ16hzF57w+F4BXfC
4TK8glwZXGn19MEr6BOvUmbH1XAUXsWdKLg3XkWuN1xj9fTFq+gTr1Vm33Vw
LF7LnVi4Gq8lVw3XWz398Fr6xBuU2X0iHI83cCcersMbyNXBjVZPT7yBPvEm
ZfbdDCfhTXxPgvtb71tw4VZceADeRJ94mzL7bodT8TbupMLNeBu5ZrjD6vkB
3kaf+EBl9j0IzsAHcicDbscHkmuHB1s9b+MD6RMfosy+h8LZ+BDuZMOD8CHk
BsHDrJ4f4kPoEx+uzL5HwHn4cO7kwUPx4eSGwiOtnh/hw+kTH6XMvkfDhfgo
7hTCI/BR5EbAY6yeH+Oj6BMfq8y+x8El+FjulMCj8bHkRsPjrZ6f4GPpE5+g
zL4nwuX4BO6Uw+PwCeTGwZOsnp/iE+gTn6zMvqfAlfhk7lTCE/HJ5CbCU62e
n+GT6ROfpsy+p8M1+DTu1MBT8GnkpsAzrJ6f49PoE5+pzL5nwfX4TO7Uw9Px
meSmw7Otnl/gM+kTn6PM7vvDjfgc7jTCs/A55GbBc62eFnwOfeLzlNn3fLgV
n8f3Vvgd6/27uPACXPg9fB594guV2fciuANfyJ0OeD6+kNx8eLHV8z6+kD7x
Jcrseyk8GF/CncHwInwJuUXwMqvnl/gS+sSXK7PvFfAwfDl3hsFL8eXklsIr
rZ5f4cvpE1+lzL5XwyPxVdwZCa/AV5FbAa+xen6Nr6JPfK0y+14Hj8HXcmcM
vBpfS241vN7q+Q2+lj7xDcrseyM8Ht/AnfHwOnwDuXXwJqvnt/gG+sQ3K7Pv
LfAkfDN3JsEb8c3kNsJbrZ7f4ZvpE9+mzL63w1PxbdyZCm/Bt5HbAu+wen6P
b6NPfKcy+94Fz8B3cmcGvB3fSW47vNvq+QO+kz7xPcrsey88G9/DndnwLnwP
uV3wPqvnj/ge+sT3K7P7d+C5+H7uzIX34vvJ7YUPWD3v4vvpEz+ozL4PwQvw
g3xfAH9gvf8QFz6MC/8JP0if+BFl9n0UXowf4c5i+BB+hNwh+JjV82f8CH3i
x5XZ9wl4GX6cO8vgo/hxckfhk1bPX/Dj9ImfUmbfp+GV+CnurIRP4KfInYA/
sno+xk/RJ35GmX2fhdfgZ7izBj6NnyF3Gv7E6vkrfoY+8XPK7Ps8vB4/x531
8Fn8HLmz8KdWz9/wc/SJX1Bm3xfhTfgF7myCz+MXyJ2HP7N6/o5foE/8kjL7
vgxvxS9xZyt8Eb9E7iL8udXzD/wSfeJXlNn3VXgHfoU7O+DL+BVyl+EvrJ5/
4lfoE7+mzL6vw7vxa9zZDV/Fr5G7Cn9p9fwLv0af+A1l9n0T3off4M4++Dp+
g9x1+Cur59/4DfrEbymz+w/gA/gt7hyAb+K3yN2Eb1s9H+K36BO/o8y+78KH
8Tt8Pwx/bb3/Dy58Dxf+L36HPvH7yuz7AXwMv8+dY/Bd/D65u/BDq+d/+H36
xB8ps+9v4JP4I+6chB/gj8g9gB9bPd/ij+gTl/+JLPvW2rD8fnzMn8udj+Bv
uCv8LXnhTvr7ns64sMa7aLNvB1h+P8S7cPcTWONdyGneO1o9T+HCDriTNvt2
huX3Q9yJu5/CDrgTOQfeu1g9T+PCzrirNvt2g+X3Q9yVu5/BzrgrOWfeu1s9
z+DCbriHNvv2hOX3Q9yDu5/DbrgHOTfee1k9z+LCnri3Nvv2geX3Q9ybu1/A
nrg3OU/e+1o9z+HCPrifNvv2h+X3Q9yPu1/CPrgfOR/eB1g9z+PC/nigNvsO
guX3QzyQu1/B/nggOX/eB1s9L+DCQXiINruXvQvf5ncghLu34SA8hFwQ2VCr
R34nQuGv+d3oqs2+u2nD99h7V97fg8P09++748LhuPCLuHA3PEKbfUfCD9l7
BHcfwt3wCHLdeB9l9byEC0fi0drsOwZ+zO9GNHcfw5F4NLlI3sdaPS/jwjF4
nDb7joc74XHc7QTH4HHkYvjzBKunBx5Hn3iiNvvuCTviidxxhOPxRHLxcJLV
8wqeSJ94sjb7ToFd8GTuuMA98WRyPeFUq+dVPJk+8TRt9p0Ou+Np3HGHU/A0
cilwhtXzGp5Gn3imNvvOgr3wTO54wel4Jrl0ONvqeR3PpE88R5t958K+eA53
fOEsPIdcFpxn9byB59Annq/NvgvgADyfOwFwLp5PLhcutHrexPPpEy/SZt/F
cDBexJ1guAAvIlcAl1g9b+FF9ImXarP7MDgUL+VOKH9ejJeSK4bLrJ7uuHAY
Xq7NvnvB4Xg538PhCut9b7ycnHilNjvuA0fhlfRFwb3wSnK94D54lTZ7rYZj
8Sr6YuE+eBW5PnA1XqPNLvvCCXgNfQlwNV5Drhrui9dqs786OAmvpS8J7ovX
kusL1+H12uysH5yK19OXCtfh9eTq4H54gzZ7aoQz8Ab6MuB+eAO5fnAj3qTN
bprhbLyJvmy4EW8i1wg34/212UcLnIf3py8Pbsb7k2uGW/BWbXYwAC7EW+kr
hFvwVnIt8AC8TZu/7+1wCd5GXwk8AG8jNwBuxzu0+fteAZfhHfSVwe14B7l2
uAL/DmW+ggE=
        "]]}, 
      Method -> {
       "EliminateUnusedCoordinates" -> True, "DeleteDuplicateCoordinates" -> 
        Automatic, "DeleteDuplicateCells" -> Automatic, "VertexAlias" -> 
        Identity, "CheckOrientation" -> Automatic, "CoplanarityTolerance" -> 
        Automatic, "CheckIntersections" -> Automatic, 
        "BoundaryNesting" -> {{0, 0}}, "SeparateBoundaries" -> False, 
        "TJunction" -> Automatic, "PropagateMarkers" -> True, "ZeroTest" -> 
        Automatic, "Hash" -> 6893681032447903133}]]}, 
    TagBox[GraphicsComplex3DBox[CompressedData["
1:eJxdWXt4j0cWHiJBXYK6RugIQkKCaCIiZFqPbZW6dmkT6uti2eqWqGLFMlJ1
SVW1cad2utpia60m7qmYqK4obRerlxAdt1YTdQlSl9Btzns+T7L553vy/s73
fmfObc6ZafWHiUPGVhVCvFhFiABBfy7t6tV9vz31leLG6renl7Wik/3tKT8T
XyeVP3t+fKH8d+/eK53Lcdc5TJQ/xZiB9Un+1BGS95ax/PjxDctx8w1w2wi4
eOmfbcpx/e6JjsR/s7isnNf1HkW4u5RPuDfzaB3i3727VTmuPoS8euHHWvSc
W6deOW53Qk/d7ybJyxpZVcpx6fi7p8Ma03NVgxDCsxtF0/tL/xtC/Cu7k/6m
NIxw0XjJwyS/1lyldeSA305Lr0/vsR30GfDrG3tb0nsh/X8tlzc7mf9gl0fK
n4bl1W3w64bg92I+DKBn21Cyp3wC+uslI+lpY7oRrlUu8Xsf9qJ1u+Qt4HfQ
3+alNMH/OYSb27CPDm1L6xZtwC/S4C8vbjLJiy7gFxGtYZ+UEkn8a1Lh9xrH
YM+E4DbEv2A27BB+jeLEbJlBesm8dOKxWfCvG7+B9PKiwS+vXiL/ih4bwok/
E/y6xf0T5fL2xnXC9Wzwm6yrd5Mq8Ktc8Otn/x6oKujvOoDf3r8ZoCryZ4Bf
5W8kv/r666ngVweyKW58+9jmsI/dvYfkFdtfRDJ/8dmmqoJ9vHTwC7O0RTlu
2P46D/bXEYMofyT7V4aAX73xOOWDl8h59AXiR4h9kvRn/6p4+NdevEW4ZHn1
Ncdne/Crdzk+3+f43wX9PY5/+yX4ZTj4LcenXIb4FJegv+L419+CX9XbRvbx
80tsAL/JhP39fNfHOP7jzpF9xGrkl1kFflt3E8n5+SuXIX/F89fIv36dMZtZ
/5ml5Ee/DthzqAM2Jy6QnglNOpFeTyd3oP9fP9SI3nvbdiB8KHDRK4Di0G6S
nYn/d4w3qEa4CsqOhfxrkeTP6Dyyuzlz6VGyXwpwVT00lPgPZMcQPhq4/tcI
5HXa56hjx2sRbiNHtab3oj9oRvIx8fhu+3Dkz/wzHem7yc+1o/8bf9eevv/S
ijDCcxLDy/93AZvbkt8+KqpOdosFj5r7F/zO9UTEATe5/6and+RSMPE8kUj8
ctgR1MteXK+eBC4iwa+e/BH1rPF+vB8B/XXQTopzmTIZ9t8LftGiDuWLmvcx
eBpCf9m2Ntb3GuObYB+ZUg/rHA4ecRT+smNvwn+DgatX2T4d8R01CzxqE+wv
Fxci/6cB14O6UTzIF6sivvuznn8vo3qiZ9YkedMHuJyyn/zrHd8VQ/abCB45
4i7Jy03Pd6XfxwH3du14SFXgN71Yz7kLUQdYfxfP65pnKE98fjmK7VB6sqWq
qP9wxqPrIh/YPqYreHTEPsQT2991Yv2bz2urKthHDAaPrdE9shwXvv37A3dV
arcj3PfvD3nQd853hNseHD/VOK6ywqMID2X/9mU9+3aMpnWxvKqJ+HHtwK85
PlWgH+esvx//1YG7j8Evv0B8yoc4PoOgv+H49+Zy/A+Gffz8Uls5v76E/f18
FwnIa28824fzS0chv8TKU2R/P391b+Sv7b+T/PugniiuDxHvkR/9OiD7QV7s
X1yP9H0mMIF+D/6A9DR1P4Cfpv2uG/E0A+7GoM6YL++QvBcEXMYDd/ODexFP
4RuUJ7rgzQZk9wX3E2ld1xlvkhlGfKVXu5O+QYsIF0lfwQ+1irqQ/MAS+H/w
76MIT24aTvqPXd6K5N9eiHUHlXUlfQJjWxD+5jDs/0tWkh/s0PxmpOcLo7Fv
D+z1MOFtR0EPeY9wj+uJaAdc9lOI+ypbGxH/xo3EY7oVE25YXn60sRK/2DeZ
/tdJOcQjpkF/vfMZ+C8RuBwFfnPhTnP6fpcWTUkfA/1Vg4MR8B9w8Se2z8Ox
+E4ceLwE+Mu8up3yXUUDV69+ijwY1YW+o1uCR74I+4srx2PJfg8Bt+Peonhw
3c8Trtsyf507VE9U1IY4+r05cDt7MfnXblbx9CwNhf5TbqH+LGjWnfAzwNWq
AWR3n9/VZz3vVAtTFfT3agLXbz5Ndvf5xRHweNdKWqsK+rud/N32nSJUBfuo
KuBxcdsp3xXb397dg3X96SfKN/vplS5klw3MPz2I4k+y/e0q5n/mYcJtLvwr
boFHNPwn4YrriT71PPTPOgAe9q8KSYAfT4yJqShvcg8Sn8f8huPTFYLHpUB/
mYL4120Q/zIb/IbjU+YxzyLWn+NfHAAuh7B9OL9UCPJLPB1I9vfz3Vx/P5z0
z2T7+Pm15FHKL9v7Otnfz1+zDXmtkgaS3n490WXMEzOA9PPrgD3I8nUP0rwg
P3miJ+GvnKpL/EV56DemxqAuvQtcnKn6NfqrZNSZPsDd1iqoP1sziceL2Hu0
3K42NaYh2aPpfPquWZtLuJoWQet2neaR/l7pPsK9tFjal1yGoj7K5fF3D4yg
+PDOD6Q67EWNon1X5h7EPlaUTXXVPJJHPO4PO0jehf8A+YD9hIs1Yyi+xbxO
TUj+V/TFXrWQR2ndXE9UYBLh9q18kncr1mN/fgc85o05JO/8evUZcMn8rt4C
8pNb/VFN4r8cS/royeHYtxYAV+vBb+wa8ofPr493JHm7F32tOY11iQ5H6X1Z
owh1awLzLJ1M/rI2uBvhTzL+SRjq84pTyOsDFvZ/qgnqR8rLlNduC+wv7iIe
3PvZVDdMS/C4Gr+g/kSsSqDvl/yDcFu7K/lXLF7fw1bwr3vnJsmLxDWJtkI8
qOJ51Jf7/O5T8HhZrWifdb0l6S9WA9eF10j+Af/2HNg/aiHkFxaS/l7KHth/
0mHKF933b2QfOxM8Krcd6saq+WQP5wF3+S+3J55fuiEubu1G3DZ9FvneeSH2
7yjgYs90qhuS/WvH5kP/sY9Qfkq/n7k+EvGz5Qp91zsfinl24i7oOWVWJXkT
ANx9AX7F8elugcfLqU244fgX9xhf+V/MDysRn15n8JhpvbF/t0P8i3eB2wnL
qF/y80sfOkn5pauEoc/hfHc/A/f2t4MdOL9cV7ZDGtvfz1+2v144H/OpX0+a
IH/V9BKc+/h1gP1ou3D9eTkI/czRbTQHqjLUH1ftCaqHYgNwHYdzAH3xLsnL
XxkfyvP+lFzUz8QL2LdaYX+Uqy7EwR7AVQ/sv97J6agbDYB7i1B/ZOFpsqtN
B788gvpjZgxAP/NH4C4L/Y/YupTmQVcFPG4t9w9F9aifdTfOEy7Woz7IvObk
L3kvgXhM7cr1x7WdhPksBf2JW7YYc/kl8OgnK/c/Ykcw8Tnmd9FDqR/R3wTV
JJ7jTdBfHU5AH3cduJvI/U9pEcWn7byO+mu191ucxzzaB/NJD+Cm5Db6p709
SV/1BnjM3Gb0PRF8m/JRdq9OuC5oQXOcOTeR9NKB4NFNP4b8/vOU714j/m5o
PsWDGLaW6oYdCh6TeoP86x1b25Pk5wC3efCvmnif6pI3ATzi6+uoV2uvUt2Q
c/i7aag/Pr/4F3jc6Ith9PuSPuiXvgKu+qH/8fnlcvC4r9D/yLS+tF71D/5u
7efI3957x7Des+DxMl6nvNPrMtAP3mP+UT8gPg6HYB/IYp7DyZhr5m3AeUEu
638yE/3GnHaYg+t3gP4jKtcf8dU7FD961/eIyyEvoV5ds8QjD1Tuf9TyzhQ/
5jPUH8PxKYYmI/6zUX8cx7+3Yjvw9eh/vOUcn7UCkOcz0f9Yjn81F3khklF/
/Pzy0sDjrnD953x3w4CrVPQ/fn7pqZy/Ev2Pn7/ij4yP4/rD9UR3BI+4BD/6
dcAbzPpEoN+W4QuJx9ZqQ+dZ6nGev15IRh2oClzewTmAadYf5zyNgOvhPO9f
7Id5sG8dzMlxOB+QGevJHvox4CqDzx8S0mlOtN2Be5MwX0ixjeyk7rYG/yye
X95ah7n1JnAzFucbsuNU6itFV/CYITg/EYPW0bzrRQPX0zEfqYlBdF6or4HH
xVeev1T6DnpPlPH5z8ZinNd14HVl/t/5T1I29cXeDJ6/UgtpfSajJvlJz38N
58djJM6Vmu8Ko+/eB7+OGo/++PNz2I+fX4NznNWpqB/1cwhX8X+FfQb+heqW
as08tY6i3s1dTfORigSuV14MJ31ezsM5SWPwiA4tSD+xajPq5bf4rjjC8VC9
IerA+9BfDEY98erEom/54hvwT/0U5+GDC2gOMo71P1yCeNi1FvPaReAqFvOX
z693gd8dxPwld7xN8jIPuArE+Y/PL66xnlNw/uPrb24Bt6XRFAdeWgbm5kPg
MV2KcX6RfZbmKXeE8YLXKe/Ef6Lgt19Z/4PxlOdqxlM4t6p2nnDdg+evSfCv
Psb2Kdtcaf4yRxA/JhXnM4r9q6qDR9SufP7jZiF+dE/wi0mIT9Ud+SU6Yf6y
HP82lvNxCvgNx6ccz/H5OfSXHP9yLHAnMX8pzi/bifO3BPb38122B24icf7j
55fymL8hzn/8/NXPMf4t+5friXyE9f8AfvTrgBvM+hTivNEVTaA65/JiUO+a
fE7nmaLaVNjrE+Bmy23E4aQpmGvygcsszPvi96sRT7USyV6m72XcjxQPRB4m
RKOf24H7F51+GOsPgLy4ivNVr3Q7ydsd4Nev8Pmzatac+LOAq9m43xFjFxEu
YsAvYk/QPY0amdSAeMp6YP7vz+fP6ROwr2/ldR2pfP7sFedjbl7G91Pv7BGk
RxTzj4updP9lc/5N/hRTwa8bZNBcYluOINybxufPHwbiPOuxPtDnJ/CLxBrB
xDevL+0zahH0l5NuUpy7QceA9xmJfffnT1AX+4BH/Bn+sme/QX19ivkLYB9Z
twzrPor9W084jnugcSGYz46uQf4sjMf58+wsyl9vEPOPRj3x6j6LOWU4cLPt
CvnXu76A9gd1Avx2AeRd6mX0eyfAb2Ztx/kz8+uR4NE/LsB8y/qL0az/mzfo
3sTnt9+BXzXG/ZevvykAv3B1kG9sHz2e+U/m4vzWt/9LwG0C7r98+9hC8Isb
mXR/JNj+yoP9xY5a2D99/w6Af2VC5fNnF3oIffpHucjjHvCvWwH/2pWV77/0
acSP9z34NcendohP73vWn+NfnAZuT4DfcnzKQYhP3Q/3X5rj32uO/LIP4fzZ
zy/3HedXT5w/P8j3E5xfy2Afxfll+oFfpcL+fv7ahpzvkbhf8OuJ+ZJ5hvA9
pl8HeoPH3S+h+1YxPBHzQ0tL9UzMbU33ue7xYaS/mfIL8LuY682hFeifZgCX
3wP37/HduQFkZ5l1Ef2PCyB9bTPwy3WlFP+q4ExV+j8VPDYX99cisWYJzXON
Ia/la5Xux82sNOhzgO+7px9C3hQcQpxsBr+btp/2c3EpCXnn/YT7uOkv0nmg
O74J+XIe65XBDahPlkvzkS/BN8g+qmh3a+j1V/R3o7FeXT2T+g67HPL20M90
/+jLu16Qd5cN+mXmV6sgL+rhvviBPiehj6iB+1Zff3uD9Z8xEPMLr1ddwHrt
2ccq3f+KTNhHz4a8ZnvKKNhT1QW/ZvvrdLb/OOjj+0tFQt4Oeg99OseDmwV5
XXCZ1vsgftr8Jv8/fnwBNw==
      "], 
      {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], 
       TagBox[Polygon3DBox[CompressedData["
1:eJxNmH9cz9cex89BrVq1atWqVSvSqlWrpFWrVq1atWqVpFLph1JdDBcXFxcX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         "]],
        Annotation[#, "Geometry"]& ]}],
     MouseAppearanceTag["LinkHand"]],
    AllowKernelInitialization->False],
   "MeshGraphics3D",
   AutoDelete->True,
   Editable->False,
   Selectable->False],
  Boxed->False,
  DefaultBaseStyle->{
   "MeshGraphics3D", FrontEnd`GraphicsHighlightColor -> Hue[0.1, 1, 0.7]},
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  Method->{"ShrinkWrap" -> True}]], "Output",
 CellChangeTimes->{{3.945522343667781*^9, 3.945522380273862*^9}, 
   3.9455224104806576`*^9, 3.9455225039877443`*^9, 3.9455226057293997`*^9, {
   3.94552269961355*^9, 3.945522728443977*^9}, 3.9455230813609877`*^9, 
   3.945523491801756*^9, 3.9455235367597313`*^9, 3.945523703652413*^9, 
   3.945526317959811*^9, 3.945526640304843*^9, 3.9455300200823164`*^9, 
   3.9455300633795733`*^9, 3.9455302330079355`*^9, 3.945530495824586*^9, 
   3.945531212262658*^9, 3.945553365248999*^9, 3.94555605481231*^9, 
   3.9455581339109*^9, 3.9455585186011696`*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"9cb2deeb-0820-4306-9cf3-d1239ac6ce91"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:83b7\:53d6\:6a21\:578b\:7684\:4e09\:89d2\:9762\:4fe1\:606f\
\:ff0c\:8ba1\:7b97\:4f53\:79ef\:4e0e\:8d28\:5fc3\:ff0c\:5e76\:5c06\:8d28\:5fc3\
\:6539\:6b63\:81f3\:539f\:70b9\:ff0c\:91cd\:65b0\:8ba1\:7b97\:4f53\:79ef\:4e0e\
\:8d28\:5fc3\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"MeshTrigs", "[", "mesh_", "]"}], ":=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"i", "+", "2"}], "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", 
               RowBox[{
                RowBox[{"Length", "[", "#", "]"}], "-", "2"}]}], "}"}]}], 
            "]"}], "&"}], "@", 
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "&"}], "/@", 
        RowBox[{"MeshPrimitives", "[", 
         RowBox[{"mesh", ",", "2"}], "]"}]}], ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"meshtrigs", "=", 
     RowBox[{"MeshTrigs", "@", "mesh"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\"\<\:539f\:59cb\:4f53\:79ef\:4e0e\:8d28\:5fc3\>\"", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"mass", ",", "masscenter"}], "}"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{"IntXYZ", "[", "meshtrigs", "]"}], "/", "#"}]}], "}"}], 
        "&"}], "[", 
       RowBox[{"IntVolumn", "[", "meshtrigs", "]"}], "]"}]}]}], "}"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"meshtrigs", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "-", "masscenter"}], "&"}], "/@", "#"}], "&"}], "/@", 
      "meshtrigs"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\"\<\:4fee\:6b63\:4f53\:79ef\:4e0e\:8d28\:5fc3\>\"", ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"mass", ",", "masscenter"}], "}"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{"IntXYZ", "[", "meshtrigs", "]"}], "/", "#"}]}], "}"}], 
        "&"}], "[", 
       RowBox[{"IntVolumn", "[", "meshtrigs", "]"}], "]"}]}]}], "}"}], 
   "\[IndentingNewLine]", 
   RowBox[{
   "(*", "\"\<\:4f7f\:7528\:4f53\:79ef\:5e73\:5747\:534a\:5f84\:4f5c\:4e3a\
\:53c2\:8003\:534a\:5f84\>\"", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\"\<\:53c2\:8003\:534a\:5f84\>\"", ",", 
     RowBox[{"radius", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"mass", "/", 
         RowBox[{"(", 
          RowBox[{"4", 
           RowBox[{"Pi", "/", "3"}]}], ")"}]}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "3"}], ")"}]}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.945522732277711*^9, 3.9455229086791162`*^9}, {
  3.945522938993046*^9, 3.9455229395509725`*^9}, {3.9455231196900206`*^9, 
  3.945523120017476*^9}, {3.945530026915187*^9, 3.9455300445163374`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"a558e1b6-4822-4535-92c0-6839b5bc6e4b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\:539f\:59cb\:4f53\:79ef\:4e0e\:8d28\:5fc3\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"40482.44279585472`", ",", 
     RowBox[{"{", 
      RowBox[{"1.8987678827370504`*^-7", ",", 
       RowBox[{"-", "1.963074639485044`*^-7"}], ",", 
       RowBox[{"-", "2.8858434512954507`*^-6"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.9455228402026443`*^9, 3.9455228511397967`*^9}, {
   3.9455228916111717`*^9, 3.94552294014818*^9}, 3.945523084881429*^9, 
   3.945523120935859*^9, 3.945523541481142*^9, 3.9455237053100176`*^9, 
   3.945526319226756*^9, 3.9455266418940077`*^9, {3.9455300217575717`*^9, 
   3.945530064847578*^9}, 3.9455302342650127`*^9, 3.9455304972073*^9, 
   3.9455312138961463`*^9, 3.945553366578348*^9, 3.9455560564229636`*^9, 
   3.945558135285898*^9, 3.945558519923767*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"0d00c95e-432e-4796-8b47-6b9182f81cd0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\:4fee\:6b63\:4f53\:79ef\:4e0e\:8d28\:5fc3\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"40482.4427958547`", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "6.299422433481761`*^-16"}], ",", 
       RowBox[{"-", "6.76202401298167`*^-16"}], ",", 
       "5.409487571330227`*^-16"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.9455228402026443`*^9, 3.9455228511397967`*^9}, {
   3.9455228916111717`*^9, 3.94552294014818*^9}, 3.945523084881429*^9, 
   3.945523120935859*^9, 3.945523541481142*^9, 3.9455237053100176`*^9, 
   3.945526319226756*^9, 3.9455266418940077`*^9, {3.9455300217575717`*^9, 
   3.945530064847578*^9}, 3.9455302342650127`*^9, 3.9455304972073*^9, 
   3.9455312138961463`*^9, 3.945553366578348*^9, 3.9455560564229636`*^9, 
   3.945558135285898*^9, 3.945558519923767*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"d12369b0-dcc6-42c4-88ef-f5099fd5f28c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\:53c2\:8003\:534a\:5f84\"\>", ",", "21.30064235691471`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.9455228402026443`*^9, 3.9455228511397967`*^9}, {
   3.9455228916111717`*^9, 3.94552294014818*^9}, 3.945523084881429*^9, 
   3.945523120935859*^9, 3.945523541481142*^9, 3.9455237053100176`*^9, 
   3.945526319226756*^9, 3.9455266418940077`*^9, {3.9455300217575717`*^9, 
   3.945530064847578*^9}, 3.9455302342650127`*^9, 3.9455304972073*^9, 
   3.9455312138961463`*^9, 3.945553366578348*^9, 3.9455560564229636`*^9, 
   3.945558135285898*^9, 3.945558519923767*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"30bb3be8-6f28-42ce-a35a-38bb56644d94"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:8ba1\:7b97\:4e8c\:9636\:7403\:8c10\:7cfb\:6570\>\"", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HarmonicCoefficients", "[", "2", "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"HarmonicIntegrators", "[", "2", "]"}], "[", "meshtrigs", 
        "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"mass", " ", 
         RowBox[{"radius", "^", "2"}]}], ")"}]}]}], "}"}], "]"}], "//", 
   "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.9455229428639636`*^9, 3.9455229654387684`*^9}, {
  3.9455230056645412`*^9, 3.94552303457642*^9}, {3.945523090449397*^9, 
  3.945523091466653*^9}, {3.945523414236919*^9, 3.9455234223672547`*^9}, {
  3.9455302377785273`*^9, 3.945530242129404*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"0407ee35-957b-41d0-9476-8296e006dd13"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"j", "[", "2", "]"}], "0.14266672802814362`"},
     {
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"-", "0.0008112443522341269`"}]},
     {
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "2"}], "]"}], 
      RowBox[{"-", "0.05086463222562308`"}]},
     {
      RowBox[{"s", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"-", "0.0321228893099774`"}]},
     {
      RowBox[{"s", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "0.0016133395844598417`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.945522949631772*^9, 3.945522957294953*^9}, {
   3.9455230094520707`*^9, 3.9455230353083773`*^9}, {3.9455230874656487`*^9, 
   3.945523091589048*^9}, 3.945523125104191*^9, 3.9455234314052773`*^9, 
   3.9455235430918107`*^9, 3.9455237069834385`*^9, 3.9455263202267556`*^9, 
   3.9455266427078753`*^9, 3.9455300665979986`*^9, 3.9455302432121725`*^9, 
   3.945530499057666*^9, 3.9455312154955935`*^9, 3.945553368235845*^9, 
   3.9455560580961456`*^9, 3.9455581368496513`*^9, 3.9455585214280815`*^9},
 CellLabel->
  "Out[19]//MatrixForm=",ExpressionUUID->"ec269faa-3dae-4c46-b0e7-\
af500553b4b6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<Principia\:4f7f\:7528\:7684\:5f52\:4e00\:5316\:7ea6\:5b9a\:4e0e\
\:6211\:4eec\:4e0d\:540c\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"Boole", "[", 
        RowBox[{"m", "\[Equal]", "0"}], "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"m", "+", "n"}], ")"}], "!"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "-", 
            RowBox[{"Boole", "[", 
             RowBox[{"m", "\[Equal]", "0"}], "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "n"}], "+", "1"}], ")"}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "m"}], ")"}], "!"}]}]], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "2"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"j", "[", "n_", "]"}], "]"}], ":=", 
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"n", ",", "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"c", "[", 
       RowBox[{"n_", ",", "m_"}], "]"}], "]"}], ":=", 
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"n", ",", "m"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"s", "[", 
       RowBox[{"n_", ",", "m_"}], "]"}], "]"}], ":=", 
     RowBox[{"PrincipiaFactor", "[", 
      RowBox[{"n", ",", "m"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9455231851031284`*^9, 3.945523196454979*^9}, {
  3.945523233715453*^9, 3.9455232396570683`*^9}, {3.9455233123733873`*^9, 
  3.9455233133903875`*^9}, {3.945523379478471*^9, 3.945523393520313*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"281f9c25-da6d-4e7a-a6cc-88aa616486a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:8ba1\:7b97Principia\:4f7f\:7528\:7684\:7403\:8c10\:7cfb\:6570\>\
\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"HarmonicCoefficients", "[", "2", "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"PrincipiaFactor", "/@", 
         RowBox[{"HarmonicCoefficients", "[", "2", "]"}]}], ")"}], 
       RowBox[{
        RowBox[{
         RowBox[{"HarmonicIntegrators", "[", "2", "]"}], "[", "meshtrigs", 
         "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"mass", " ", 
          RowBox[{"radius", "^", "2"}]}], ")"}]}]}]}], "}"}], "]"}], "//", 
   "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.945523364186177*^9, 3.9455233653125896`*^9}, {
   3.9455233990711803`*^9, 3.945523425698094*^9}, 3.945530248578307*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"caca75ac-65c4-47d6-b3e6-bec1e49398c7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"j", "[", "2", "]"}], 
      RowBox[{"-", "0.06380250039968073`"}]},
     {
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"-", "0.0006283871731815195`"}]},
     {
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "2"}], "]"}], 
      RowBox[{"-", "0.07879914940832132`"}]},
     {
      RowBox[{"s", "[", 
       RowBox[{"2", ",", "1"}], "]"}], 
      RowBox[{"-", "0.024882283065921346`"}]},
     {
      RowBox[{"s", "[", 
       RowBox[{"2", ",", "2"}], "]"}], "0.0024993749369560648`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.9455233663750925`*^9, {3.945523408546723*^9, 3.945523433156567*^9}, 
   3.9455237097348127`*^9, 3.9455263217906823`*^9, 3.9455266444891253`*^9, 
   3.9455300710888433`*^9, 3.945530249313343*^9, 3.9455305007242355`*^9, 
   3.945531218362774*^9, 3.94555336997151*^9, 3.9455560609411983`*^9, 
   3.9455581387102723`*^9, 3.945558523851226*^9},
 CellLabel->
  "Out[24]//MatrixForm=",ExpressionUUID->"7eeb5159-dcfc-4e34-ba30-\
41abaf5283dc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\< \:4ee5\:4e0b\:4ee3\:7801\:7f16\:8bd1\:7403\:8c10\:7cfb\:6570\
\:79ef\:5206\:5668\:5230 6 \:9636\:5e76\:5b58\:50a8\:ff0c\:4e0b\:6b21\:8fd0\
\:884c\:65f6\:53ef\:76f4\:63a5\:52a0\:8f7d\:3002\n    \
\:7f16\:8bd1\:9700\:8981\:5f88\:957f\:65f6\:95f4\:ff0c\:672c\:6587\:6863\:5df2\
\:9644\:5e26\:76f4\:5230 6 \:9636\:7684\:9884\:7f16\:8bd1\:7ed3\:679c\:3002\>\
\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"nmax", "=", "6"}], ",", "fname", ",", "dat"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fname", "=", 
        RowBox[{"\"\<HarmonicIntegrators[\>\"", "<>", 
         RowBox[{"IntegerString", "[", "nmax", "]"}], "<>", 
         "\"\<].mma\>\""}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"!", 
          RowBox[{"FileExistsQ", "[", "fname", "]"}]}], ",", 
         RowBox[{
          RowBox[{"Export", "[", 
           RowBox[{"fname", ",", 
            RowBox[{"Compress", "[", 
             RowBox[{"HarmonicIntegrators", "/@", 
              RowBox[{"Range", "[", "nmax", "]"}]}], "]"}], ",", 
            "\"\<String\>\""}], "]"}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"dat", "=", 
        RowBox[{"Uncompress", "@", 
         RowBox[{"Import", "[", 
          RowBox[{"fname", ",", "\"\<String\>\""}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"HarmonicIntegrators", "[", "n", "]"}], "=", 
          RowBox[{"dat", "[", 
           RowBox[{"[", "n", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "6"}], "}"}]}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9455298896174545`*^9, 3.945529897983872*^9}, {
   3.945530084906639*^9, 3.9455301435642157`*^9}, {3.945530277108577*^9, 
   3.9455303310601053`*^9}, {3.945530772352877*^9, 3.9455309542768335`*^9}, {
   3.945530991482751*^9, 3.945531116597489*^9}, {3.945531146939106*^9, 
   3.945531178051075*^9}, 3.9455312541048527`*^9},
 CellLabel->"In[25]:=",ExpressionUUID->"1b7ac1ab-671c-4691-9142-220f1f0778ad"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\< \:4ece mesh \:7684\:4e09\:89d2\:9762\:8ba1\:7b97\:91cd\:529b\
\:573a\:6a21\:578b \>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"GeopotentialModel", "[", 
      RowBox[{"mesh_List", ",", "nmax_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mass", ",", "radius"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"mass", "=", 
         RowBox[{"IntVolumn", "[", "mesh", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"radius", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"mass", "/", 
            RowBox[{"(", 
             FractionBox[
              RowBox[{"4", " ", "\[Pi]"}], "3"], ")"}]}], ")"}], "^", 
          RowBox[{"(", 
           RowBox[{"1", "/", "3"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"HarmonicIntegrators", "[", "n", "]"}], "[", "mesh", 
               "]"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"mass", " ", 
               RowBox[{"radius", "^", "n"}]}], ")"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "2", ",", "nmax"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"mass", ",", "radius"}], "}"}]}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"gpmodel", "=", 
    RowBox[{"GeopotentialModel", "[", 
     RowBox[{"meshtrigs", ",", "6"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.9455534009761515`*^9, 3.9455536628445363`*^9}, 
   3.9455538553903027`*^9, {3.9455554384464464`*^9, 3.94555544082401*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"ecdad916-001a-4d07-b111-06af08303179"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"40482.4427958547`", ",", "21.30064235691471`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.14266672802814362`", ",", 
     RowBox[{"-", "0.0008112443522341269`"}], ",", 
     RowBox[{"-", "0.05086463222562308`"}], ",", 
     RowBox[{"-", "0.0321228893099774`"}], ",", "0.0016133395844598417`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.018720633753520746`"}], ",", "0.001334938518123403`", 
     ",", "0.0017566656398076514`", ",", 
     RowBox[{"-", "0.0004848533854228335`"}], ",", 
     RowBox[{"-", "0.01192473942230318`"}], ",", "0.000010626652608236173`", 
     ",", 
     RowBox[{"-", "0.0005106325436011678`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.04581886038836076`"}], ",", "0.0005239575160774061`", 
     ",", "0.004681869775309075`", ",", "0.00003039033555064258`", ",", 
     "0.0005069840322504192`", ",", "0.017794021709202124`", ",", 
     RowBox[{"-", "0.00019986370041611207`"}], ",", "0.0008936980716748204`", 
     ",", "9.846526745999036`*^-6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.027939002970305687`", ",", 
     RowBox[{"-", "0.0005113774001656497`"}], ",", 
     RowBox[{"-", "0.00144877098275939`"}], ",", "0.000039197419906512845`", 
     ",", 
     RowBox[{"-", "0.00003060858664389896`"}], ",", "7.30163351859622`*^-6", 
     ",", "0.0035811660771057252`", ",", "0.000044533779268103986`", ",", 
     "0.00006722157390962315`", ",", "9.74398759842744`*^-6", ",", 
     "1.703018523402608`*^-6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.018914008300995298`", ",", 
     RowBox[{"-", "0.0002556725845828944`"}], ",", 
     RowBox[{"-", "0.0009928614782997577`"}], ",", 
     RowBox[{"-", "9.476055174230211`*^-6"}], ",", 
     RowBox[{"-", "0.00003314780609981379`"}], ",", "1.7960179124501487`*^-7",
      ",", 
     RowBox[{"-", "2.564058225984771`*^-6"}], ",", 
     RowBox[{"-", "0.012434108906425479`"}], ",", "0.000023503075935872474`", 
     ",", 
     RowBox[{"-", "0.00028584374330241054`"}], ",", 
     RowBox[{"-", "5.642175812244572`*^-7"}], ",", 
     RowBox[{"-", "7.488564487806381`*^-6"}], ",", 
     RowBox[{"-", "2.5264131144015036`*^-7"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.9455536631882854`*^9, 3.9455536685606375`*^9}, 
   3.945553856235327*^9, 3.9455554437940073`*^9, 3.9455560635843706`*^9, 
   3.9455581411646605`*^9, 3.945558526086916*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"ab6fbd8f-8f0f-481d-ade9-0c98d5f5434e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t{HarmonicPotential, HarmonicGravity} \:4e0e \
GeopotentialHarmonics.nb \:4e2d {dphiH, amH} \:5b9a\:4e49\:76f8\:540c\:ff0c\n\
\t\:4f46\:5229\:7528\:7403\:8c10\:52bf\:573a\:4e0e\:7403\:8c10\:52bf\:7cfb\
\:6570\:79ef\:5206\:5f0f\:4e2d\:88ab\:79ef\:51fd\:6570\:5f62\:5f0f\:7684\:76f8\
\:4f3c\:6027\:ff0c\:4ece HarmonicIntegrands[n] \:53d8\:5f62\:51fa\:7ed3\:679c\
\:3002\n>>>HarmonicPotential:\n\t\[CapitalDelta]\[Phi](n) \:4e3a\:884c\:661f\
\:7684 n \:9636\:7403\:8c10\:52bf\:573a\:ff0cM \
\:4e3a\:884c\:661f\:8d28\:91cf;\n\t\:6b64\:51fd\:6570\:8fd4\:56de\n\t\t\
\[CapitalDelta]\[Phi](n) / ( \!\(\*FractionBox[\(G\\\ M\\\ \
\*SuperscriptBox[\(R\), \(n\)]\), SuperscriptBox[\(r\), \(2 n + 1\)]]\) )\n\t\
\:8fd4\:56de\:503c\:4e2d\:7b26\:53f7\:542b\:4e49\:4e0e\:52a0\:901f\:5ea6\:8ba1\
\:7b97\:51fd\:6570\:76f8\:540c\:3002\n<<<\n>>>HarmonicGravity:\n\t\
\!\(\*SubscriptBox[OverscriptBox[\(a\), \(\[RightVector]\)], \(m\)]\)(n) \
\:4e3a\:884c\:661f\:56e0\:5176 n \:9636\:7403\:8c10\:573a\:4e0e\:5916\:90e8\
\:8d28\:70b9 m \:4f5c\:7528\:ff0c\:81ea\:8eab\:4ea7\:751f\:7684\:5f15\:529b\
\:52a0\:901f\:5ea6;\n\t\:6b64\:51fd\:6570\:8fd4\:56de\n\t\t\
\!\(\*SubscriptBox[OverscriptBox[\(a\), \(\[RightVector]\)], \(m\)]\)(n) / ( \
\!\(\*FractionBox[\(G\\\ m\\\ \*SuperscriptBox[\(R\), \(n\)]\), \
SuperscriptBox[\(r\), \(2 n + 3\)]]\) )\n\t\:8fd4\:56de\:503c\:4e2d\n\t\t\
j[n], c[n, m], s[n, m] \:5206\:522b\:4e3a\:884c\:661f\:7684 n \:9636\:7403\
\:8c10\:7cfb\:6570 \!\(\*SubscriptBox[\(J\), \(n\)]\), \!\(\*SubscriptBox[\(C\
\), \(nm\)]\), \!\(\*SubscriptBox[\(S\), \(nm\)]\);\n\t\t{x, y, z} \:4e3a\
\:8d28\:70b9 m \:5728\:884c\:661f\:81ea\:8f6c\:5750\:6807\:7cfb\:ff08\:5373\
\:7403\:8c10\:7cfb\:6570\:6240\:5728\:5750\:6807\:7cfb\:ff09\:4e2d\:76f8\:5bf9\
\:884c\:661f\:8d28\:5fc3\:ff08\:539f\:70b9\:ff09\:7684\:5750\:6807;\n\t\tr = \
\!\(\*SqrtBox[\(\*SuperscriptBox[\(x\), \(2\)] + \*SuperscriptBox[\(y\), \
\(2\)] + \*SuperscriptBox[\(z\), \(2\)]\)]\) \:4e3a\:8d28\:70b9\:4e0e\:884c\
\:661f\:7684\:4e2d\:5fc3\:8ddd\:79bb\:3002\n<<<\n\>\"", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicPotential", "[", "n_", "]"}], ":=", 
     RowBox[{
      RowBox[{"HarmonicPotential", "[", "n", "]"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HarmonicCoefficients", "[", "n", "]"}], 
         RowBox[{"Block", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"j", ",", "c", ",", "s"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"j", "[", "n", "]"}], "=", 
             RowBox[{"-", "1"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"c", "[", 
                 RowBox[{"n", ",", "m"}], "]"}], "=", 
                RowBox[{
                 RowBox[{"s", "[", 
                  RowBox[{"n", ",", "m"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"-", "1"}], "/", 
                  RowBox[{"(", 
                   RowBox[{"2", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "-", "m"}], ")"}], "!"}], "/", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"n", "+", "m"}], ")"}], "!"}]}]}], ")"}]}]}]}], 
               ";"}], ",", 
              RowBox[{"{", 
               RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"HarmonicCoefficients", "[", "n", "]"}]}]}], 
          "\[IndentingNewLine]", "]"}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"HarmonicIntegrands", "[", "n", "]"}], "/.", 
         RowBox[{"Thread", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xp", ",", "yp", ",", "zp"}], "}"}], "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}], ")"}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HarmonicGravity", "[", "n_", "]"}], ":=", 
     RowBox[{
      RowBox[{"HarmonicGravity", "[", "n", "]"}], "=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"r", "=", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}], "+", 
            RowBox[{"z", "^", "2"}]}], "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Simplify", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Grad", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"HarmonicPotential", "[", "n", "]"}], "/", 
              RowBox[{"r", "^", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", "n"}], "+", "1"}], ")"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}], 
           RowBox[{"r", "^", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "n"}], "+", "3"}], ")"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"x", "^", "2"}], ">", "0"}], ",", 
            RowBox[{
             RowBox[{"y", "^", "2"}], ">", "0"}], ",", 
            RowBox[{
             RowBox[{"z", "^", "2"}], ">", "0"}]}], "}"}]}], "]"}]}], 
       "\[IndentingNewLine]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "\:9884\:8ba1\:7b97\:76f4\:52306\:9636\:7684\:8868\:8fbe\:5f0f", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"HarmonicGravity", "/@", 
     RowBox[{"Range", "[", 
      RowBox[{"2", ",", "6"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "\"\< \:4ece\:91cd\:529b\:573a\:6a21\:578b\:8ba1\:7b97\:5f15\:529b\
\:52bf\:4e0e\:5f15\:529b\:ff0c\[IndentingNewLine]  \:6b64\:51fd\:6570\:8fd4\
\:56de {Potential, Gravity.x, Gravity.y, Gravity.z} \>\"", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Geopotential", "[", 
      RowBox[{"gpmodel_List", ",", 
       RowBox[{"r_List", "?", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "3"}], "&"}], 
         ")"}]}], ",", "nMax_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"nmax", "=", 
          RowBox[{"Min", "[", 
           RowBox[{
            RowBox[{"Max", "[", 
             RowBox[{"1", ",", "nMax"}], "]"}], ",", 
            RowBox[{"Length", "[", "gpmodel", "]"}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", "mass", ",", "radius", ",", "grav", ",", 
         "phi"}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"mass", ",", "radius"}], "}"}], "=", 
         RowBox[{"gpmodel", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"grav", "=", 
         RowBox[{
          RowBox[{"-", "mass"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"r", "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"r", ".", "r"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"3", "/", "2"}], ")"}]}]}], "+", 
            RowBox[{"Plus", "@@", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"HarmonicGravity", "[", "n", "]"}], ";", 
                RowBox[{"Block", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                   "j", ",", "c", ",", "s", ",", "x", ",", "y", ",", "z"}], 
                   "}"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", "y", ",", "z"}], "}"}], "=", "r"}], ";",
                    "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"HarmonicCoefficients", "[", "n", "]"}], "]"}], 
                    "=", 
                    RowBox[{"gpmodel", "[", 
                    RowBox[{"[", "n", "]"}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"HarmonicGravity", "[", "n", "]"}], "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"radius", "^", "n"}], "/", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", ".", "r"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"n", "+", 
                    RowBox[{"3", "/", "2"}]}], ")"}]}]}], ")"}]}]}]}], 
                 "\[IndentingNewLine]", "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "2", ",", "nmax"}], "}"}]}], "]"}]}]}], 
           ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"phi", "=", 
         RowBox[{"mass", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"r", ".", "r"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "2"}], ")"}]}]}], "+", 
            RowBox[{"Plus", "@@", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"HarmonicPotential", "[", "n", "]"}], ";", 
                RowBox[{"Block", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                   "j", ",", "c", ",", "s", ",", "x", ",", "y", ",", "z"}], 
                   "}"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", "y", ",", "z"}], "}"}], "=", "r"}], ";",
                    "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"HarmonicCoefficients", "[", "n", "]"}], "]"}], 
                    "=", 
                    RowBox[{"gpmodel", "[", 
                    RowBox[{"[", "n", "]"}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"HarmonicPotential", "[", "n", "]"}], "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"radius", "^", "n"}], "/", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", ".", "r"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"n", "+", 
                    RowBox[{"1", "/", "2"}]}], ")"}]}]}], ")"}]}]}]}], 
                 "\[IndentingNewLine]", "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"n", ",", "2", ",", "nmax"}], "}"}]}], "]"}]}]}], 
           ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Prepend", "[", 
         RowBox[{"grav", ",", "phi"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Geopotential", "[", 
      RowBox[{"gpmodel_List", ",", 
       RowBox[{"r_List", "?", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "3"}], "&"}], 
         ")"}]}]}], "]"}], ":=", 
     RowBox[{"Geopotential", "[", 
      RowBox[{"gpmodel", ",", "r", ",", "Infinity"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"\:8d28\:70b9", 
      RowBox[{"\:ff08", "\:5e73\:65b9\:53cd\:6bd4", "\:ff09"}], 
      "\:5f15\:529b\:52bf\:4e0e\:5f15\:529b"}], "\:ff0c", 
     "\[IndentingNewLine]", "  ", 
     RowBox[{"\:6b64\:51fd\:6570\:8fd4\:56de", " ", 
      RowBox[{"{", 
       RowBox[{"Potential", ",", " ", 
        RowBox[{"Gravity", ".", "x"}], ",", " ", 
        RowBox[{"Gravity", ".", "y"}], ",", " ", 
        RowBox[{"Gravity", ".", "z"}]}], "}"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Newtonian", "[", 
      RowBox[{"gpmodel_List", ",", 
       RowBox[{"r_List", "?", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "3"}], "&"}], 
         ")"}]}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mass", ",", "radius"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"mass", ",", "radius"}], "}"}], "=", 
         RowBox[{"gpmodel", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Prepend", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "mass"}], " ", 
           RowBox[{"r", "/", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", ".", "r"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"3", "/", "2"}], ")"}]}]}]}], ",", 
          RowBox[{
           RowBox[{"-", "mass"}], "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"r", ".", "r"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}]}]}]}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "\:7f16\:8bd1\:4ece\:4e09\:89d2\:7f51\:683c\:7684\:6240\:6709\:9762\:8ba1\
\:7b97\:7cbe\:786e\:7f51\:683c\:4f53\:5f15\:529b\:52bf\:4e0e\:5f15\:529b\:7684\
\:79ef\:5206\:5668", "\:ff0c", "\[IndentingNewLine]", "  ", 
     RowBox[{"\:6b64\:51fd\:6570\:8fd4\:56de", " ", 
      RowBox[{"{", 
       RowBox[{"Potential", ",", " ", 
        RowBox[{"Gravity", ".", "x"}], ",", " ", 
        RowBox[{"Gravity", ".", "y"}], ",", " ", 
        RowBox[{"Gravity", ".", "z"}]}], "}"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TrigSum", "=", 
     RowBox[{"Compile", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"trig", ",", "_Real", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"rp", ",", "_Real", ",", "1"}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Plus", "@@", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Module", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "p1", ",", "p2", ",", "p3", ",", "x1", ",", "y1", ",", "z1", 
               ",", "x2", ",", "y2", ",", "z2", ",", "x3", ",", "y3", ",", 
               "z3", ",", "rx", ",", "ry", ",", "rz"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x3", ",", "y3", ",", "z3"}], "}"}]}], "}"}], "=", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], "=", "#"}]}], 
              ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"rx", ",", "ry", ",", "rz"}], "}"}], "=", "rp"}], ";",
               "\[IndentingNewLine]", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                 "r1", ",", "r2", ",", "r3", ",", "rn1", ",", "rn2", ",", 
                  "rn3", ",", "e1", ",", "e2", ",", "e3", ",", "en1", ",", 
                  "en2", ",", "en3", ",", "norm", ",", "g", ",", "h", ",", 
                  "logs", ",", "atns", ",", "L"}], "}"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"e1", "=", 
                  RowBox[{"p2", "-", "p1"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"e2", "=", 
                  RowBox[{"p3", "-", "p2"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"e3", "=", 
                  RowBox[{"p1", "-", "p3"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"en1", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"e1", ".", "e1"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"en2", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"e2", ".", "e2"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"en3", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"e3", ".", "e3"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"r1", "=", 
                  RowBox[{"p1", "-", "rp"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"r2", "=", 
                  RowBox[{"p2", "-", "rp"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"r3", "=", 
                  RowBox[{"p3", "-", "rp"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"rn1", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"r1", ".", "r1"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"rn2", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"r2", ".", "r2"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"rn3", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"r3", ".", "r3"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"logs", "=", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"e1", ".", "e2"}], " ", 
                    RowBox[{"r1", ".", "e1"}]}], "-", 
                    RowBox[{
                    RowBox[{"e1", ".", "e1"}], " ", 
                    RowBox[{"r1", ".", "e2"}]}]}], " ", ",", "en1", ",", 
                    RowBox[{
                    RowBox[{"r1", ".", "e1"}], "+", 
                    RowBox[{"en1", " ", "rn1"}]}], ",", 
                    RowBox[{
                    RowBox[{"r2", ".", "e1"}], "+", 
                    RowBox[{"en1", " ", "rn2"}]}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"e2", ".", "e3"}], " ", 
                    RowBox[{"r2", ".", "e2"}]}], "-", 
                    RowBox[{
                    RowBox[{"e2", ".", "e2"}], " ", 
                    RowBox[{"r2", ".", "e3"}]}]}], " ", ",", "en2", ",", 
                    RowBox[{
                    RowBox[{"r2", ".", "e2"}], "+", 
                    RowBox[{"en2", " ", "rn2"}]}], ",", 
                    RowBox[{
                    RowBox[{"r3", ".", "e2"}], "+", 
                    RowBox[{"en2", " ", "rn3"}]}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"e3", ".", "e1"}], " ", 
                    RowBox[{"r3", ".", "e3"}]}], "-", 
                    RowBox[{
                    RowBox[{"e3", ".", "e3"}], " ", 
                    RowBox[{"r3", ".", "e1"}]}]}], " ", ",", "en3", ",", 
                    RowBox[{
                    RowBox[{"r3", ".", "e3"}], "+", 
                    RowBox[{"en3", " ", "rn3"}]}], ",", 
                    RowBox[{
                    RowBox[{"r1", ".", "e3"}], "+", 
                    RowBox[{"en3", " ", "rn1"}]}]}], "}"}]}], 
                   "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"atns", "=", 
                  RowBox[{
                   RowBox[{"rn1", " ", "rn2", " ", "rn3"}], "+", 
                   RowBox[{"rn1", " ", 
                    RowBox[{"r2", ".", "r3"}]}], "+", 
                   RowBox[{"rn2", " ", 
                    RowBox[{"r3", ".", "r1"}]}], "+", 
                   RowBox[{"rn3", " ", 
                    RowBox[{"r1", ".", "r2"}]}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"norm", "=", 
                  RowBox[{"Cross", "[", 
                   RowBox[{"e1", ",", "e2"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"g", "=", 
                  RowBox[{"r1", ".", 
                   RowBox[{"Cross", "[", 
                    RowBox[{"r2", ",", "r3"}], "]"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"h", "=", 
                  RowBox[{"norm", ".", "norm"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"L", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"h", "\[Equal]", "0"}], ",", "0", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"g", "\[Equal]", "0"}], ",", "0", ",", 
                    RowBox[{"2", "g", " ", 
                    RowBox[{"ArcTan", "[", 
                    RowBox[{"atns", ",", "g"}], "]"}]}]}], "]"}], "+", 
                    RowBox[{"Plus", "@@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}], "||", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "\[LessEqual]", "0"}], "||", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "\[LessEqual]", "0"}]}], 
                    ",", "0", ",", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]], 
                    RowBox[{"Log", "[", 
                    FractionBox[
                    RowBox[{"#", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]], "]"}]}]}], "]"}], "&"}], 
                    "/@", "logs"}], ")"}]}]}], ")"}], "/", "h"}]}], "]"}]}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"g", "/", "2"}], ",", 
                    RowBox[{"norm", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"norm", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"norm", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "}"}], "L"}]}]}], 
               "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "]"}],
            "&"}], "/@", "trig"}], ")"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "\:4f7f\:7528\:6570\:503c\:4f53\:79ef\:5206\:8ba1\:7b97\:4e09\:89d2\:7f51\
\:683c\:4f53\:7684\:5f15\:529b\:52bf\:4e0e\:5f15\:529b", "\:ff0c", 
     "\[IndentingNewLine]", "  ", 
     RowBox[{"\:6b64\:51fd\:6570\:8fd4\:56de", " ", 
      RowBox[{"{", 
       RowBox[{"Potential", ",", " ", 
        RowBox[{"Gravity", ".", "x"}], ",", " ", 
        RowBox[{"Gravity", ".", "y"}], ",", " ", 
        RowBox[{"Gravity", ".", "z"}]}], "}"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TrigNumeric", "[", 
      RowBox[{"mesh_BoundaryMeshRegion", ",", 
       RowBox[{"r_List", "?", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "3"}], "&"}], 
         ")"}]}]}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"rx", ",", "ry", ",", "rz"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"rx", ",", "ry", ",", "rz"}], "}"}], "=", 
         RowBox[{"N", "@", "r"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            FractionBox[
             RowBox[{"-", "1"}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rx", "-", "xp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"ry", "-", "yp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rz", "-", "zp"}], ")"}], "2"]}], ")"}], 
              RowBox[{"1", "/", "2"}]]], ",", "\[IndentingNewLine]", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "rx"}], "+", "xp"}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rx", "-", "xp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"ry", "-", "yp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rz", "-", "zp"}], ")"}], "2"]}], ")"}], 
              RowBox[{"3", "/", "2"}]]], ",", "\[IndentingNewLine]", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "ry"}], "+", "yp"}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rx", "-", "xp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"ry", "-", "yp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rz", "-", "zp"}], ")"}], "2"]}], ")"}], 
              RowBox[{"3", "/", "2"}]]], ",", "\[IndentingNewLine]", 
            FractionBox[
             RowBox[{
              RowBox[{"-", "rz"}], "+", "zp"}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rx", "-", "xp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"ry", "-", "yp"}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"rz", "-", "zp"}], ")"}], "2"]}], ")"}], 
              RowBox[{"3", "/", "2"}]]]}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Element", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xp", ",", "yp", ",", "zp"}], "}"}], ",", "mesh"}], 
           "]"}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9455538340378923`*^9, 3.945553984852626*^9}, {
   3.9455540832763095`*^9, 3.9455540839481845`*^9}, {3.945555388616942*^9, 
   3.945555506851539*^9}, {3.9455555488498373`*^9, 3.9455555500217147`*^9}, {
   3.945555767651884*^9, 3.9455557901981726`*^9}, {3.945556024724433*^9, 
   3.9455560284769173`*^9}, 3.945556070850479*^9, 3.945556104815323*^9, {
   3.945556136023167*^9, 3.9455562062942905`*^9}, {3.945556353961014*^9, 
   3.9455564747559705`*^9}, {3.945556570950591*^9, 3.945556740580963*^9}, {
   3.9455568235292473`*^9, 3.9455569476517706`*^9}, {3.945557051531225*^9, 
   3.9455573205366516`*^9}, {3.945557368032116*^9, 3.9455574237886534`*^9}, {
   3.94555746815345*^9, 3.9455575814962077`*^9}, {3.945557653832056*^9, 
   3.945557654080508*^9}, {3.9455584651985455`*^9, 3.945558479334775*^9}, 
   3.945558534791376*^9},
 CellLabel->"In[37]:=",ExpressionUUID->"e46480b9-1254-4672-91a7-33c34bd0ce48"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\n\t\:5bf9\:6d4b\:8bd5\:5750\:6807 r={42,16,8} \
\:6bd4\:8f83\:4e0d\:540c\:65b9\:6cd5\:8ba1\:7b97\:7684\:7f51\:683c\:4f53\:5f15\
\:529b\:52bf\:4e0e\:5f15\:529b\:503c\:ff0c\:4ee5\:53ca\:8ba1\:7b97\:7528\:65f6\
\:ff1b\n\t\:6bcf\:884c\:683c\:5f0f\:4e3a\n\t\t{ \:7528\:65f6(\:79d2), { \
\:65b9\:6cd5\:540d, { \:5f15\:529b\:52bf, \:5f15\:529b x \:5206\:91cf, \:5f15\
\:529b y \:5206\:91cf, \:5f15\:529b z \:5206\:91cf } } }\n\>\"", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", "=", 
        RowBox[{"{", 
         RowBox[{"42", ",", "16", ",", "8"}], "}"}]}], ",", "newtonian", ",", 
       "geopotential", ",", "trigmesh", ",", "numeric"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Print", "@", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\:5e73\:65b9\:53cd\:6bd4\>\"", ",", 
          RowBox[{"newtonian", "=", 
           RowBox[{"Newtonian", "[", 
            RowBox[{"gpmodel", ",", "r"}], "]"}]}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "@", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\:7403\:8c10\:573a\:6a21\:578b\>\"", ",", 
          RowBox[{"geopotential", "=", 
           RowBox[{"Geopotential", "[", 
            RowBox[{"gpmodel", ",", "r"}], "]"}]}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "@", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\:4e09\:89d2\:9762\:6c42\:548c\>\"", ",", 
          RowBox[{"trigmesh", "=", 
           RowBox[{"TrigSum", "[", 
            RowBox[{"meshtrigs", ",", "r"}], "]"}]}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "@", 
       RowBox[{"AbsoluteTiming", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\:6570\:503c\:4f53\:79ef\:5206\>\"", ",", 
          RowBox[{"numeric", "=", 
           RowBox[{"TrigNumeric", "[", 
            RowBox[{"mesh", ",", "r"}], "]"}]}]}], "}"}], "]"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.945557665015661*^9, 3.9455580834658303`*^9}, {
  3.945558495383809*^9, 3.9455585027687006`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"bb1636ea-57cd-4d43-8ca4-e65458d166e5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0000713`", ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\:5e73\:65b9\:53cd\:6bd4\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "886.7840099955052`"}], ",", 
       RowBox[{"-", "17.8718466505812`"}], ",", 
       RowBox[{"-", "6.808322533554743`"}], ",", 
       RowBox[{"-", "3.4041612667773715`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.945557917765027*^9, 3.945558040209448*^9, 
  3.9455580881090045`*^9, 3.945558146793454*^9, 3.9455585469847775`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[45]:=",ExpressionUUID->"e5916c94-6ad0-4c6f-b34a-\
1d5328df2297"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0010821`", ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\:7403\:8c10\:573a\:6a21\:578b\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "877.0022314041388`"}], ",", 
       RowBox[{"-", "17.488890115620148`"}], ",", 
       RowBox[{"-", "5.906955248721591`"}], ",", 
       RowBox[{"-", "3.5611235802557766`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.945557917765027*^9, 3.945558040209448*^9, 
  3.9455580881090045`*^9, 3.945558146793454*^9, 3.9455585469847775`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[45]:=",ExpressionUUID->"362416a5-066b-41b5-bcbe-\
789bfdf942c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.0013087`", ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\:4e09\:89d2\:9762\:6c42\:548c\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "876.9868309603991`"}], ",", 
       RowBox[{"-", "17.48603096382563`"}], ",", 
       RowBox[{"-", "5.905820658134113`"}], ",", 
       RowBox[{"-", "3.561006582665987`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.945557917765027*^9, 3.945558040209448*^9, 
  3.9455580881090045`*^9, 3.945558146793454*^9, 3.9455585469847775`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[45]:=",ExpressionUUID->"800b3278-3b4a-4d05-95f7-\
448b15b41946"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"21.4848748`", ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\:6570\:503c\:4f53\:79ef\:5206\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "876.9868228497638`"}], ",", 
       RowBox[{"-", "17.486030373181386`"}], ",", 
       RowBox[{"-", "5.905820597442128`"}], ",", 
       RowBox[{"-", "3.5610077110015905`"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.945557917765027*^9, 3.945558040209448*^9, 
  3.9455580881090045`*^9, 3.945558146793454*^9, 3.945558568458584*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[45]:=",ExpressionUUID->"cb1e37ba-617a-4817-a008-\
208f07fea913"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:5728\:6d4b\:8bd5\:534a\:5f84 r=48 \:7684\:7403\:9762\:4e0a\
\:ff0c\:5206\:522b\:4f7f\:7528\:5e73\:65b9\:53cd\:6bd4\:3001\:4e09\:89d2\:7f51\
\:683c\:6c42\:548c\:4e0e\:7403\:8c10\:573a\:8ba1\:7b97\:5f15\:529b\:52bf\:4e0e\
\:5f15\:529b\:ff1a\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FromCoordinate", "[", 
      RowBox[{"{", 
       RowBox[{"lon_", ",", "lat_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "lat", "]"}], 
        RowBox[{"Cos", "[", "lon", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "lat", "]"}], 
        RowBox[{"Sin", "[", "lon", "]"}]}], ",", 
       RowBox[{"Sin", "[", "lat", "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"grid", ",", "newtonian", ",", "trig", ",", "harmonics"}], 
      "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"r", "=", 
          RowBox[{"N", "[", "48", "]"}]}], ",", 
         RowBox[{"resolution", "=", "32"}], ",", "grid"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"grid", "=", 
         RowBox[{"N", "@", 
          RowBox[{"Flatten", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"lon", ",", "lat"}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"lon", ",", 
                RowBox[{
                 RowBox[{"Pi", "/", "resolution"}], "/", "2"}], ",", 
                RowBox[{
                 RowBox[{"2", "Pi"}], "-", 
                 RowBox[{
                  RowBox[{"Pi", "/", "resolution"}], "/", "2"}]}], ",", 
                RowBox[{"Pi", "/", "resolution"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"lat", ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "Pi"}], "/", "2"}], "+", 
                 RowBox[{
                  RowBox[{"Pi", "/", "resolution"}], "/", "2"}]}], ",", 
                RowBox[{
                 RowBox[{"Pi", "/", "2"}], "-", 
                 RowBox[{
                  RowBox[{"Pi", "/", "resolution"}], "/", "2"}]}], ",", 
                RowBox[{"Pi", "/", "resolution"}]}], "}"}]}], "]"}], ",", 
            "1"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"grid", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Newtonian", "[", 
               RowBox[{"gpmodel", ",", "#"}], "]"}], "&"}], "@", 
             RowBox[{"(", 
              RowBox[{"r", " ", 
               RowBox[{"FromCoordinate", "[", "#", "]"}]}], ")"}]}], "&"}], "/@",
            "grid"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"TrigSum", "[", 
               RowBox[{"meshtrigs", ",", "#"}], "]"}], "&"}], "@", 
             RowBox[{"(", 
              RowBox[{"r", " ", 
               RowBox[{"FromCoordinate", "[", "#", "]"}]}], ")"}]}], "&"}], "/@",
            "grid"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Geopotential", "[", 
               RowBox[{"gpmodel", ",", "#"}], "]"}], "&"}], "@", 
             RowBox[{"(", 
              RowBox[{"r", " ", 
               RowBox[{"FromCoordinate", "[", "#", "]"}]}], ")"}]}], "&"}], "/@",
            "grid"}]}], "\[IndentingNewLine]", "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9455587303301163`*^9, 3.945558841947497*^9}, 
   3.945558930693686*^9, {3.945558971545555*^9, 3.9455590929736414`*^9}, {
   3.9455591380416203`*^9, 3.945559152895569*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"f0377c88-ae1f-4cf7-a93e-334be34e3047"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:4e09\:89d2\:7f51\:683c\:5f15\:529b\:4e0e\:5e73\:65b9\:53cd\
\:6bd4\:7684\:504f\:79fb\:ff08\:5f15\:529b\:5dee\:7684\:7edd\:5bf9\:503c\:ff09\
\>\"", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ListDensityPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"Norm", "@", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", 
            RowBox[{
             RowBox[{"-", "3"}], ";;", 
             RowBox[{"-", "1"}]}]}], "]"}], "]"}]}]}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"grid", ",", 
        RowBox[{"trig", "-", "newtonian"}]}], "}"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.9455588549428496`*^9, 3.945558912682109*^9}, {
  3.9455592750755196`*^9, 3.945559303148691*^9}, {3.9455595153686037`*^9, 
  3.9455595156967287`*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"2419fad4-7205-4d9e-b831-476b426d19ad"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF2Xvsv/9cx/EfOUZ+IvoZZbamHMoWFpUepKhmEh10UHNIpRZLRgedmKxs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   "], {
    {GrayLevel[0.8], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJxdnXXUldXWxU8fQgEpaZXu7lRpkJYupUO6JQy6UzqU7m4JlU4pkVYvCEqp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       "]]]}, {}, {}, {}, {}},
   VertexColors->CompressedData["
1:eJwUmnc4lf8fxlHSTouMNqISIbK6VUhDFKFQsiql+jZsZWSElDIyIiPJaKKF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    "]],
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{None, None},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultColorFunction" -> 
    "M10DefaultDensityGradient", 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{0.04908738521234052, 6.234097921967246}, {-1.521708941582556, 
   1.521708941582556}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.9455589140907493`*^9, 3.94555893743325*^9}, {
   3.9455592759361696`*^9, 3.9455593393585067`*^9}, 3.9455595187004223`*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"ded154f9-857f-479c-ba89-e78f10cbd659"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
  "(*", "\"\<\:7403\:8c10\:573a\:5f15\:529b\:4e0e\:5e73\:65b9\:53cd\:6bd4\
\:7684\:504f\:79fb\:ff08\:5f15\:529b\:5dee\:7684\:7edd\:5bf9\:503c\:ff09\>\"",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ListDensityPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"Norm", "@", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", 
            RowBox[{
             RowBox[{"-", "3"}], ";;", 
             RowBox[{"-", "1"}]}]}], "]"}], "]"}]}]}], "]"}], "&"}], "/@", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{"grid", ",", 
        RowBox[{"harmonics", "-", "newtonian"}]}], "}"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", "\"\<Rainbow\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.945558921283329*^9, 3.9455589282861223`*^9}, {
  3.9455593265740395`*^9, 3.9455593360347605`*^9}, {3.945559517019745*^9, 
  3.9455595173548837`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"0aba1162-659b-4d01-b0cc-5de329b265e9"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJyF2Xvsv/9cx/EfOUZ+IvoZZbamHMoWFpUepKhmEh10UHNIpRZLRgedmKxs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   "], {
    {GrayLevel[0.8], EdgeForm[None], 
     GraphicsGroupBox[PolygonBox[CompressedData["
1:eJxdnXXUldXWxU8fQgEpaZXu7lRpkJYupUO6JQy6UzqU7m4JlU4pkVYvCEqp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       "]]]}, {}, {}, {}, {}},
   VertexColors->CompressedData["
1:eJwUmnk4VW8bhYVCRWVoRJKSQpJokJW5iJChkESIMmVIhRRplkqFSlGKSClD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    "]],
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{None, None},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultColorFunction" -> 
    "M10DefaultDensityGradient", 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{0.04908738521234052, 6.234097921967246}, {-1.521708941582556, 
   1.521708941582556}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.9455589254164047`*^9, 3.9455589381832485`*^9}, {
   3.9455593362378845`*^9, 3.9455593398285065`*^9}, 3.9455595193410463`*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"d2d6aa62-ac79-4fb7-aeb3-71c65497622b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "\:4f7f\:7528", " ", "6", " ", 
     "\:9636\:7403\:8c10\:573a\:8fd1\:4f3c\:4e09\:89d2\:7f51\:683c\:4f53\:5f15\
\:529b"}], "\:ff0c", 
    "\:5728\:6d4b\:8bd5\:534a\:5f84\:5904\:7edd\:5bf9\:8bef\:5dee\:6700\:5927\
\:503c\:964d\:4f4e\:5230\:4ec5\:4f7f\:7528\:5e73\:65b9\:53cd\:6bd4\:5f15\:529b\
\:7684", "\:ff1a"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Max", "[", 
    RowBox[{"Norm", "/@", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"trig", "-", "harmonics"}], ")"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", 
        RowBox[{
         RowBox[{"-", "3"}], ";;", 
         RowBox[{"-", "1"}]}]}], "]"}], "]"}]}], "]"}], "/", 
   RowBox[{"Max", "[", 
    RowBox[{"Norm", "/@", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"trig", "-", "newtonian"}], ")"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", 
        RowBox[{
         RowBox[{"-", "3"}], ";;", 
         RowBox[{"-", "1"}]}]}], "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.945559342553056*^9, 3.9455594929337697`*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"9625b483-4b5e-46cf-85f6-b7cf95772509"],

Cell[BoxData["0.014956100636615809`"], "Output",
 CellChangeTimes->{{3.945559361002087*^9, 3.945559401963999*^9}, 
   3.9455594510788636`*^9, {3.9455594879492917`*^9, 3.9455595201236095`*^9}},
 CellLabel->"Out[96]=",ExpressionUUID->"25586dee-56e5-4375-8dba-893c4078ec36"]
}, Open  ]]
},
WindowSize->{1036, 841},
WindowMargins->{{Automatic, 30}, {Automatic, 60}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (2019\:5e744\:67088\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 8411, 184, 609, "Input",ExpressionUUID->"52769268-ee29-4c41-b065-758f6cc410c6"],
Cell[CellGroupData[{
Cell[8994, 208, 669, 12, 105, "Input",ExpressionUUID->"9bb28b9b-a271-4b03-80c0-1adbfa9a021e"],
Cell[9666, 222, 1142, 23, 32, "Output",ExpressionUUID->"27da59fa-474e-4a99-89fe-15f2d8cd8083"],
Cell[10811, 247, 1377, 32, 49, "Output",ExpressionUUID->"744cfe5d-0842-49e5-a98a-22f83ba7b67d"]
}, Open  ]],
Cell[12203, 282, 6927, 165, 567, "Input",ExpressionUUID->"95eb66da-6524-44e0-8273-f381b662a1a6"],
Cell[19133, 449, 1258, 28, 162, "Input",ExpressionUUID->"d3e2daa8-5d73-4774-9bb5-245ade6aa598"],
Cell[CellGroupData[{
Cell[20416, 481, 772, 17, 67, "Input",ExpressionUUID->"827a2d95-7adf-4c68-bb42-9e3bb7a1548c"],
Cell[21191, 500, 20017, 344, 345, "Output",ExpressionUUID->"9cb2deeb-0820-4306-9cf3-d1239ac6ce91"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41245, 849, 3525, 95, 181, "Input",ExpressionUUID->"a558e1b6-4822-4535-92c0-6839b5bc6e4b"],
Cell[44773, 946, 927, 17, 36, "Output",ExpressionUUID->"0d00c95e-432e-4796-8b47-6b9182f81cd0"],
Cell[45703, 965, 931, 17, 36, "Output",ExpressionUUID->"d12369b0-dcc6-42c4-88ef-f5099fd5f28c"],
Cell[46637, 984, 686, 11, 32, "Output",ExpressionUUID->"30bb3be8-6f28-42ce-a35a-38bb56644d94"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47360, 1000, 900, 22, 48, "Input",ExpressionUUID->"0407ee35-957b-41d0-9476-8296e006dd13"],
Cell[48263, 1024, 1583, 40, 113, "Output",ExpressionUUID->"ec269faa-3dae-4c46-b0e7-af500553b4b6"]
}, Open  ]],
Cell[49861, 1067, 2105, 58, 128, "Input",ExpressionUUID->"281f9c25-da6d-4e7a-a6cc-88aa616486a2"],
Cell[CellGroupData[{
Cell[51991, 1129, 973, 25, 67, "Input",ExpressionUUID->"caca75ac-65c4-47d6-b3e6-bec1e49398c7"],
Cell[52967, 1156, 1453, 40, 113, "Output",ExpressionUUID->"7eeb5159-dcfc-4e34-ba30-41abaf5283dc"]
}, Open  ]],
Cell[54435, 1199, 2444, 57, 181, "Input",ExpressionUUID->"1b7ac1ab-671c-4691-9142-220f1f0778ad"],
Cell[CellGroupData[{
Cell[56904, 1260, 1930, 49, 181, "Input",ExpressionUUID->"ecdad916-001a-4d07-b111-06af08303179"],
Cell[58837, 1311, 2535, 52, 148, "Output",ExpressionUUID->"ab6fbd8f-8f0f-481d-ade9-0c98d5f5434e"]
}, Open  ]],
Cell[61387, 1366, 28734, 679, 2183, "Input",ExpressionUUID->"e46480b9-1254-4672-91a7-33c34bd0ce48"],
Cell[CellGroupData[{
Cell[90146, 2049, 2400, 55, 219, "Input",ExpressionUUID->"bb1636ea-57cd-4d43-8ca4-e65458d166e5"],
Cell[CellGroupData[{
Cell[92571, 2108, 642, 16, 22, "Print",ExpressionUUID->"e5916c94-6ad0-4c6f-b34a-1d5328df2297"],
Cell[93216, 2126, 650, 16, 22, "Print",ExpressionUUID->"362416a5-066b-41b5-bcbe-789bfdf942c3"],
Cell[93869, 2144, 648, 16, 22, "Print",ExpressionUUID->"800b3278-3b4a-4d05-95f7-448b15b41946"],
Cell[94520, 2162, 649, 16, 22, "Print",ExpressionUUID->"cb1e37ba-617a-4817-a008-208f07fea913"]
}, Open  ]]
}, Open  ]],
Cell[95196, 2182, 4107, 104, 257, "Input",ExpressionUUID->"f0377c88-ae1f-4cf7-a93e-334be34e3047"],
Cell[CellGroupData[{
Cell[99328, 2290, 1296, 33, 67, "Input",ExpressionUUID->"2419fad4-7205-4d9e-b831-476b426d19ad"],
Cell[100627, 2325, 92138, 1525, 201, "Output",ExpressionUUID->"ded154f9-857f-479c-ba89-e78f10cbd659"]
}, Open  ]],
Cell[CellGroupData[{
Cell[192802, 3855, 1297, 33, 67, "Input",ExpressionUUID->"0aba1162-659b-4d01-b0cc-5de329b265e9"],
Cell[194102, 3890, 92117, 1525, 201, "Output",ExpressionUUID->"d2d6aa62-ac79-4fb7-aeb3-71c65497622b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[286256, 5420, 1194, 33, 48, "Input",ExpressionUUID->"9625b483-4b5e-46cf-85f6-b7cf95772509"],
Cell[287453, 5455, 271, 3, 32, "Output",ExpressionUUID->"25586dee-56e5-4375-8dba-893c4078ec36"]
}, Open  ]]
}
]
*)

